## ros-noetic-tf2-py 0.7.6

=== debian/changelog ===
ros-noetic-tf2-py (0.7.6-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 11 Oct 2022 07:00:00 -0000

ros-noetic-tf2-py (0.7.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 01 Sep 2020 07:00:00 -0000

ros-noetic-tf2-py (0.7.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 01 Sep 2020 07:00:00 -0000

ros-noetic-tf2-py (0.7.3-1focal) focal; urgency=high

  * avoid name collision b/t tf2_py and tf2 (#478 <https://github.com/ros/geometry2/issues/478>)
  * Contributors: Sean Yen

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Aug 2020 07:00:00 -0000

ros-noetic-tf2-py (0.7.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Jun 2020 07:00:00 -0000

ros-noetic-tf2-py (0.7.1-1focal) focal; urgency=high

  * [noetic] cherry-pick Windows fixes from melodic-devel (#450 <https://github.com/ros/geometry2/issues/450>)
    * [Windows][melodic-devel] Fix install locations (#442 <https://github.com/ros/geometry2/issues/442>)
    * fixed install locations of tf2
    * [windows][melodic] more portable fixes. (#443 <https://github.com/ros/geometry2/issues/443>)
    * more portable fixes.
  * import setup from setuptools instead of distutils-core (#449 <https://github.com/ros/geometry2/issues/449>)
  * Contributors: Alejandro Hernández Cordero, Sean Yen

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-tf2-py (0.7.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#445 <https://github.com/ros/geometry2/issues/445>)
  * Merge pull request #363 <https://github.com/ros/geometry2/issues/363> from kejxu/fix_tf2_py_export
    use .pyd instead of .so on Windows and export symbols
  * limit MSVC-only change to MSVC scope (#10 <https://github.com/ros/geometry2/issues/10>)
  * Fix the pyd extension and export the init function.
  * use windows counterpart for .so extension
  * Contributors: James Xu, Sean Yen, Shane Loretz, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 09 Mar 2020 07:00:00 -0000

ros-noetic-tf2-py (0.6.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-noetic-tf2-py (0.6.4-1focal) focal; urgency=high

  * fix translation vs rotation typo
    Fixes #324 <https://github.com/ros/geometry2/issues/324>
  * Add python3.7 compatibility.
  * Contributors: Hans Gaiser, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 06 Nov 2018 08:00:00 -0000

ros-noetic-tf2-py (0.6.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 09 Jul 2018 07:00:00 -0000

ros-noetic-tf2-py (0.6.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 May 2018 07:00:00 -0000

ros-noetic-tf2-py (0.6.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 21 Mar 2018 07:00:00 -0000

ros-noetic-tf2-py (0.6.0-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 21 Mar 2018 07:00:00 -0000

ros-noetic-tf2-py (0.5.17-1focal) focal; urgency=high

  * Merge pull request #266 <https://github.com/ros/geometry2/issues/266> from randoms/indigo-devel
    fix METH_OLDARGS is no longer supported error in python3
  * Merge pull request #260 <https://github.com/ros/geometry2/issues/260> from randoms/indigo-devel
    fix python3 import error
  * Merge pull request #257 <https://github.com/ros/geometry2/issues/257> from delftrobotics-forks/python3
    Make tf2_py python3 compatible again
  * Use string conversion from python_compat.h.
  * Contributors: Maarten de Vries, Tully Foote, randoms

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 01 Jan 2018 08:00:00 -0000

ros-noetic-tf2-py (0.5.16-1focal) focal; urgency=high

  * fix memory leak calling Py_DECREF for all created PyObject
  * replaced dependencies on tf2_msgs_gencpp by exported dependencies
  * Relax strict type checks at setTransform to only check for members (#221 <https://github.com/ros/geometry2/issues/221>)
  * expose deprecated methods in tf2_py API to support better backwards compatibility. Fixes #206 <https://github.com/ros/geometry2/issues/206>
  * Contributors: Christopher Wecht, Sergio Ramos, Tully Foote, alex

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-noetic-tf2-py (0.5.15-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-noetic-tf2-py (0.5.14-1focal) focal; urgency=high

  * Improve tf compatibility (#192 <https://github.com/ros/geometry2/issues/192>)
    getLatestCommonTime() is needed to implement the TF API.
    See ros/geometry#134 <https://github.com/ros/geometry/issues/134>
  * Add missing type checks at Python/C++ tf2 transform interface #159 <https://github.com/ros/geometry2/issues/159> (#197 <https://github.com/ros/geometry2/issues/197>)
  * Make tf2_py compatible with python3. (#173 <https://github.com/ros/geometry2/issues/173>)
    * tf2_py: Use PyUnicode objects for text in python3.
    * tf2_py: Make module initialization python3 compatible.
    * tf2_py: Fix type definition for python3.
    * tf2_py: Move and rename PyObject_BorrowAttrString.
  * Contributors: Maarten de Vries, Timo Röhling, alex

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-noetic-tf2-py (0.5.13-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-noetic-tf2-py (0.5.12-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-noetic-tf2-py (0.5.11-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-noetic-tf2-py (0.5.10-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-noetic-tf2-py (0.5.9-1focal) focal; urgency=high




